﻿using Telerik.Documents.ImageUtils;
using Telerik.Documents.Primitives;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Export;
using Telerik.Windows.Documents.Flow.FormatProviders.Html;

public class Programm
{
    static void Main(string[] args)
    {
        Telerik.Windows.Documents.Extensibility.JpegImageConverterBase jpegImageConverter = new JpegImageConverter();
        Telerik.Windows.Documents.Extensibility.FixedExtensibilityManager.JpegImageConverter = jpegImageConverter;
        var htmlDocument = new HtmlFormatProvider();
        string html = File.ReadAllText("test.html");
        var doc = htmlDocument.Import(html);
        var pdfFixedProvider = new PdfFormatProvider();
        var pdfFlowProvider = new Telerik.Windows.Documents.Flow.FormatProviders.Pdf.PdfFormatProvider();
        var pdffixed = pdfFlowProvider.ExportToFixedDocument(doc);
        pdffixed.Pages[0].Size = new Size(1056, 816);                
        var settings = new PdfExportSettings
        {
            ComplianceLevel = PdfComplianceLevel.PdfA1B
        };
        pdfFixedProvider.ExportSettings = settings;

        var result = pdfFixedProvider.Export(pdffixed);
        File.WriteAllBytes("test.pdf", result);
    }

   

   
}
